aboutsummaryrefslogtreecommitdiffstats
path: root/testing/galculator/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-03-14 10:01:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-03-14 10:01:11 +0000
commit35bb93d4c77fca338991a2732e72efc4976875eb (patch)
treef7e0aa19f5e99ba234a1bd9cfb2aa4418283b048 /testing/galculator/APKBUILD
parenta995767fea863f659fcca12b6498506410b62480 (diff)
downloadaports-35bb93d4c77fca338991a2732e72efc4976875eb.tar.gz
aports-35bb93d4c77fca338991a2732e72efc4976875eb.tar.bz2
aports-35bb93d4c77fca338991a2732e72efc4976875eb.tar.xz
testing/galculator: new aport
GTK+ based scientific calculator http://galculator.sourceforge.net/
Diffstat (limited to 'testing/galculator/APKBUILD')
-rw-r--r--testing/galculator/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/testing/galculator/APKBUILD b/testing/galculator/APKBUILD
new file mode 100644
index 0000000000..4ef92f888c
--- /dev/null
+++ b/testing/galculator/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=galculator
+pkgver=1.3.4
+pkgrel=0
+pkgdesc="GTK+ based scientific calculator"
+url="http://galculator.sourceforge.net/"
+license="GPL"
+depends=
+makedepends="intltool libglade-dev gtk+-dev"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir/galculator-$pkgver"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/galculator-$pkgver"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="d30e6fbf5947bb1c873bc9d5a21046f1 galculator-1.3.4.tar.bz2"